BackupRepository [velero.io/v1]

Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

BackupRepositorySpec is the specification for a BackupRepository.

statusobject

BackupRepositoryStatus is the current status of a BackupRepository.

.spec

Description
BackupRepositorySpec is the specification for a BackupRepository.
Type
object
Required
backupStorageLocationmaintenanceFrequencyresticIdentifiervolumeNamespace
PropertyTypeDescription
backupStorageLocationstring

BackupStorageLocation is the name of the BackupStorageLocation that should contain this repository.

maintenanceFrequencystring

MaintenanceFrequency is how often maintenance should be run.

repositoryConfigobject

RepositoryConfig is for repository-specific configuration fields.

repositoryTypestring

RepositoryType indicates the type of the backend repository

resticIdentifierstring

ResticIdentifier is the full restic-compatible string for identifying this repository.

volumeNamespacestring

VolumeNamespace is the namespace this backup repository contains pod volume backups for.

.spec.repositoryConfig

Description
RepositoryConfig is for repository-specific configuration fields.
Type
object

.status

Description
BackupRepositoryStatus is the current status of a BackupRepository.
Type
object
PropertyTypeDescription
lastMaintenanceTimestring

LastMaintenanceTime is the last time maintenance was run.

messagestring

Message is a message about the current status of the BackupRepository.

phasestring

Phase is the current state of the BackupRepository.

API Endpoints

The following API endpoints are available:

  • /apis/velero.io/v1/namespaces/{namespace}/backuprepositories
    • DELETE: delete collection of BackupRepository
    • GET: list objects of kind BackupRepository
    • POST: create a new BackupRepository
  • /apis/velero.io/v1/namespaces/{namespace}/backuprepositories/{name}
    • DELETE: delete the specified BackupRepository
    • GET: read the specified BackupRepository
    • PATCH: partially update the specified BackupRepository
    • PUT: replace the specified BackupRepository
  • /apis/velero.io/v1/namespaces/{namespace}/backuprepositories/{name}/status
    • GET: read status of the specified BackupRepository
    • PATCH: partially update status of the specified BackupRepository
    • PUT: replace status of the specified BackupRepository

/apis/velero.io/v1/namespaces/{namespace}/backuprepositories

HTTP method
DELETE
Description
delete collection of BackupRepository
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind BackupRepository
HTTP responses
HTTP codeResponse body
200 - OKBackupRepositoryList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyBackupRepository schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
201 - CreatedBackupRepository schema
202 - AcceptedBackupRepository schema
401 - UnauthorizedEmpty

/apis/velero.io/v1/namespaces/{namespace}/backuprepositories/{name}

HTTP method
DELETE
Description
delete the specified BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified BackupRepository
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyBackupRepository schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
201 - CreatedBackupRepository schema
401 - UnauthorizedEmpty

/apis/velero.io/v1/namespaces/{namespace}/backuprepositories/{name}/status

HTTP method
GET
Description
read status of the specified BackupRepository
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified BackupRepository
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyBackupRepository schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKBackupRepository schema
201 - CreatedBackupRepository schema
401 - UnauthorizedEmpty